curl --request GET \
--url 'https://live-fetch.p.rapidapi.com/get-search-companies-results?request_id=ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o' \
--header 'x-rapidapi-host: live-fetch.p.rapidapi.com' \
--header 'x-rapidapi-key: YOUR_RAPIDAPI_KEY'
import requests
url = "https://live-fetch.p.rapidapi.com/get-search-companies-results"
querystring = {
"request_id": "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
}
headers = {
"x-rapidapi-key": "YOUR_RAPIDAPI_KEY",
"x-rapidapi-host": "live-fetch.p.rapidapi.com"
}
response = requests.get(url, headers=headers, params=querystring)
print(response.json())
const params = new URLSearchParams({
request_id: "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
});
const url = `https://live-fetch.p.rapidapi.com/get-search-companies-results?${params}`;
const options = {
method: 'GET',
headers: {
'x-rapidapi-key': 'YOUR_RAPIDAPI_KEY',
'x-rapidapi-host': 'live-fetch.p.rapidapi.com'
}
};
try {
const response = await fetch(url, options);
const result = await response.json();
console.log(result);
} catch (error) {
console.error(error);
}
<?php
$query = http_build_query([
'request_id' => "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
]);
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://live-fetch.p.rapidapi.com/get-search-companies-results" . "?" . $query,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-rapidapi-host: live-fetch.p.rapidapi.com",
"x-rapidapi-key: YOUR_RAPIDAPI_KEY"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"io"
"net/http"
"net/url"
)
func main() {
params := url.Values{}
params.Add("request_id", "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o")
req, _ := http.NewRequest("GET", "https://live-fetch.p.rapidapi.com/get-search-companies-results?"+params.Encode(), nil)
req.Header.Add("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
req.Header.Add("x-rapidapi-host", "live-fetch.p.rapidapi.com")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://live-fetch.p.rapidapi.com/get-search-companies-results?request_id=ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"))
.header("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
.header("x-rapidapi-host", "live-fetch.p.rapidapi.com")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
{
"data": [
{
"company_id": "2966330",
"company_name": "P&C Global",
"domain": "pandcglobal.com",
"linkedin_url": "https://www.linkedin.com/company/pandcglobal",
"description": "Welcome to P&C Global...",
"employee_count": 77,
"employee_range": "5001-10000",
"follower_count": 10866,
"hq_city": "Toronto",
"hq_country": "CA",
"hq_full_address": "1 Dundas St W, 25th Floor, Toronto, Ontario M5G 1Z3, CA",
"industry": "Business Consulting and Services",
"logo_url": "https://media.licdn.com/dms/image/v2/.../logo.png",
"year_founded": 2012,
"hq_address_line1": "1 Apple Park Way",
"hq_address_line2": "",
"hq_postalcode": "95014",
"hq_region": "California",
"industries": [
"Computers and Electronics Manufacturing"
],
"locations": [
{
"city": "Cupertino",
"country": "US",
"full_address": "1 Apple Park Way, Cupertino, California 95014, US",
"is_headquarter": true,
"line1": "1 Apple Park Way",
"line2": "",
"region": "California",
"zipcode": "95014"
}
],
"specialties": "Innovative Product Development, World-Class Operations, Retail, Telephone Support",
"tagline": "",
"website": "http://www.apple.com/careers"
}
],
"message": "Search results retrieved successfully.",
"companies_scraped_so_far": 25,
"search_params": {
"limit": 25,
"url": "https://www.linkedin.com/sales/search/company?query=(filters%3AList((type%3ACOMPANY_HEADCOUNT%2Cvalues%3AList((id%3AI%2Ctext%3A10%252C001%252B%2CselectionType%3AINCLUDED)))%2C(type%3AREGION%2Cvalues%3AList((id%3A103644278%2Ctext%3AUnited%2520States%2CselectionType%3AINCLUDED)))))&sessionId=42JKc8xlQo%2BNESlB%2FFntuQ%3D%3D&viewAllFilters=true"
},
"total_count": 1256
}{
"data": null,
"message": "Bad request: Invalid request_id."
}{
"data": null,
"message": "System error. You will not be charged for this request. We will fix it soon!"
}Company Search
Get Companies
-
Get search results. Please make sure the search is done before calling this endpoint.
-
Pricing: 1 credit per result.
GET
/
get-search-companies-results
curl --request GET \
--url 'https://live-fetch.p.rapidapi.com/get-search-companies-results?request_id=ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o' \
--header 'x-rapidapi-host: live-fetch.p.rapidapi.com' \
--header 'x-rapidapi-key: YOUR_RAPIDAPI_KEY'
import requests
url = "https://live-fetch.p.rapidapi.com/get-search-companies-results"
querystring = {
"request_id": "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
}
headers = {
"x-rapidapi-key": "YOUR_RAPIDAPI_KEY",
"x-rapidapi-host": "live-fetch.p.rapidapi.com"
}
response = requests.get(url, headers=headers, params=querystring)
print(response.json())
const params = new URLSearchParams({
request_id: "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
});
const url = `https://live-fetch.p.rapidapi.com/get-search-companies-results?${params}`;
const options = {
method: 'GET',
headers: {
'x-rapidapi-key': 'YOUR_RAPIDAPI_KEY',
'x-rapidapi-host': 'live-fetch.p.rapidapi.com'
}
};
try {
const response = await fetch(url, options);
const result = await response.json();
console.log(result);
} catch (error) {
console.error(error);
}
<?php
$query = http_build_query([
'request_id' => "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
]);
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://live-fetch.p.rapidapi.com/get-search-companies-results" . "?" . $query,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-rapidapi-host: live-fetch.p.rapidapi.com",
"x-rapidapi-key: YOUR_RAPIDAPI_KEY"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"io"
"net/http"
"net/url"
)
func main() {
params := url.Values{}
params.Add("request_id", "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o")
req, _ := http.NewRequest("GET", "https://live-fetch.p.rapidapi.com/get-search-companies-results?"+params.Encode(), nil)
req.Header.Add("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
req.Header.Add("x-rapidapi-host", "live-fetch.p.rapidapi.com")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://live-fetch.p.rapidapi.com/get-search-companies-results?request_id=ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"))
.header("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
.header("x-rapidapi-host", "live-fetch.p.rapidapi.com")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
{
"data": [
{
"company_id": "2966330",
"company_name": "P&C Global",
"domain": "pandcglobal.com",
"linkedin_url": "https://www.linkedin.com/company/pandcglobal",
"description": "Welcome to P&C Global...",
"employee_count": 77,
"employee_range": "5001-10000",
"follower_count": 10866,
"hq_city": "Toronto",
"hq_country": "CA",
"hq_full_address": "1 Dundas St W, 25th Floor, Toronto, Ontario M5G 1Z3, CA",
"industry": "Business Consulting and Services",
"logo_url": "https://media.licdn.com/dms/image/v2/.../logo.png",
"year_founded": 2012,
"hq_address_line1": "1 Apple Park Way",
"hq_address_line2": "",
"hq_postalcode": "95014",
"hq_region": "California",
"industries": [
"Computers and Electronics Manufacturing"
],
"locations": [
{
"city": "Cupertino",
"country": "US",
"full_address": "1 Apple Park Way, Cupertino, California 95014, US",
"is_headquarter": true,
"line1": "1 Apple Park Way",
"line2": "",
"region": "California",
"zipcode": "95014"
}
],
"specialties": "Innovative Product Development, World-Class Operations, Retail, Telephone Support",
"tagline": "",
"website": "http://www.apple.com/careers"
}
],
"message": "Search results retrieved successfully.",
"companies_scraped_so_far": 25,
"search_params": {
"limit": 25,
"url": "https://www.linkedin.com/sales/search/company?query=(filters%3AList((type%3ACOMPANY_HEADCOUNT%2Cvalues%3AList((id%3AI%2Ctext%3A10%252C001%252B%2CselectionType%3AINCLUDED)))%2C(type%3AREGION%2Cvalues%3AList((id%3A103644278%2Ctext%3AUnited%2520States%2CselectionType%3AINCLUDED)))))&sessionId=42JKc8xlQo%2BNESlB%2FFntuQ%3D%3D&viewAllFilters=true"
},
"total_count": 1256
}{
"data": null,
"message": "Bad request: Invalid request_id."
}{
"data": null,
"message": "System error. You will not be charged for this request. We will fix it soon!"
}- Get search results. Please make sure the search is done before calling this endpoint.
- Pricing: 1 credits per result.
curl --request GET \
--url 'https://live-fetch.p.rapidapi.com/get-search-companies-results?request_id=ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o' \
--header 'x-rapidapi-host: live-fetch.p.rapidapi.com' \
--header 'x-rapidapi-key: YOUR_RAPIDAPI_KEY'
import requests
url = "https://live-fetch.p.rapidapi.com/get-search-companies-results"
querystring = {
"request_id": "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
}
headers = {
"x-rapidapi-key": "YOUR_RAPIDAPI_KEY",
"x-rapidapi-host": "live-fetch.p.rapidapi.com"
}
response = requests.get(url, headers=headers, params=querystring)
print(response.json())
const params = new URLSearchParams({
request_id: "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
});
const url = `https://live-fetch.p.rapidapi.com/get-search-companies-results?${params}`;
const options = {
method: 'GET',
headers: {
'x-rapidapi-key': 'YOUR_RAPIDAPI_KEY',
'x-rapidapi-host': 'live-fetch.p.rapidapi.com'
}
};
try {
const response = await fetch(url, options);
const result = await response.json();
console.log(result);
} catch (error) {
console.error(error);
}
<?php
$query = http_build_query([
'request_id' => "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
]);
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://live-fetch.p.rapidapi.com/get-search-companies-results" . "?" . $query,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-rapidapi-host: live-fetch.p.rapidapi.com",
"x-rapidapi-key: YOUR_RAPIDAPI_KEY"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"io"
"net/http"
"net/url"
)
func main() {
params := url.Values{}
params.Add("request_id", "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o")
req, _ := http.NewRequest("GET", "https://live-fetch.p.rapidapi.com/get-search-companies-results?"+params.Encode(), nil)
req.Header.Add("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
req.Header.Add("x-rapidapi-host", "live-fetch.p.rapidapi.com")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://live-fetch.p.rapidapi.com/get-search-companies-results?request_id=ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"))
.header("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
.header("x-rapidapi-host", "live-fetch.p.rapidapi.com")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
Authorizations
Query Parameters
Example:
"ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
